Несоответствие определений сущности и/или поля

Аватар пользователя rukoved rukoved 24 мая в 17:02

Кто как решает такие проблемы? Поделитесь инфой, возникла видимо после обновления ядра или модулей друпал 8.

ОПРЕДЕЛЕНИЯ СУЩНОСТИ/ПОЛЯ
Несоответствие определений сущности и/или поля
В типе сущности и определениях поля обнаружены следующие изменения.
Сообщение
Поле message.field_message_pm_thread должно быть обновлено.
Поле message.field_message_private_message должно быть обновлено.

Модуль ENTITY UPDATE не помог, в базе нет полей в этих таблицах.

Комментарии

Аватар пользователя rukoved rukoved 24 мая в 18:26

Такую ошибку выдает entity update

User deprecated function: EntityDefinitionUpdateManagerInterface::applyUpdates() is deprecated in 8.7.0 and will be removed before Drupal 9.0.0. Use \Drupal\Core\Entity\EntityDefinitionUpdateManagerInterface::getChangeList() and execute each entity type and field storage update manually instead. See https://www.drupal.org/node/3034742. in Drupal\Core\Entity\EntityDefinitionUpdateManager->applyUpdates() (line 175 of /var/www/хххххх/data/www/ххххххххххх/core/lib/Drupal/Core/Entity/EntityDefinitionUpdateManager.php). => Array

Entity update FAIL

Аватар пользователя rukoved rukoved 24 мая в 18:29

А как можно использовать devel_entity_updates? Он стоит у меня, но настроек нет у него..

Аватар пользователя rukoved rukoved 24 мая в 19:13

Как-то можно найти это поле и руками исправить?

Composer - я установила вчера под некие задачи, а вот драш не пользовала ранее.

К сожалению сайт на друпал уже в существующей разработке, а в инструкции написано:
Необходимо, чтобы сайты Drupal создавались с использованием Composer, а Drush указывался как зависимость.

Аватар пользователя filinkov.ru filinkov.ru 24 мая в 20:59

Да это никакая не ошибка. Модуль devel entity update c Drupal 8.7.0. не поможет. Здесь есть примеры использования https://www.drupal.org/node/3034742 Пишите свое обновление для полей сущности. В инете уже много примеров, можете поковырять модуль drupal_commerce.

Аватар пользователя rukoved rukoved 24 мая в 22:05

Я поняла, что это сообщение-предупреждение.
мой проект не содержит модуль drupal_commerce, пока никак не получается исправить это/

ОПРЕДЕЛЕНИЯ СУЩНОСТИ/ПОЛЯ
Несоответствие определений сущности и/или поля
В типе сущности и определениях поля обнаружены следующие изменения.
Сообщение
Поле message.field_message_pm_thread должно быть обновлено.
Поле message.field_message_private_message должно быть обновлено.

Аватар пользователя filinkov.ru filinkov.ru 24 мая в 22:00

Я имел ввиду посмотрите примеры того как обновляются сущности в drupal_commerce. При данном сообщении о несоответствии сущности только программировать и выпускать обновление. Если это сторонний модуль, который реализует сущность message, то лучше обратится к разработчикам.

Аватар пользователя rukoved rukoved 24 мая в 22:07

нет сторонних модулей, я думаю, что это с родным модулем друпал - сообщений что-то произошло